Bug 1405837 - Numix theme messes up the desktop icons in Xfce
Summary: Numix theme messes up the desktop icons in Xfce
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: numix-gtk-theme
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Sascha Spreitzer (Red Hat)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-18 19:54 UTC by Hugo
Modified: 2017-05-04 14:52 UTC (History)
1 user (show)

Fixed In Version: numix-gtk-theme-2.6.6-2.fc24 numix-gtk-theme-2.6.6-2.fc25 numix-gtk-theme-2.6.6-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-26 18:21:07 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of glitchy desktop icons (379.82 KB, image/png)
2016-12-18 19:54 UTC, Hugo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1352499 0 unspecified CLOSED numix-gtk-theme-2.6.6 is available 2021-02-22 00:41:40 UTC

Internal Links: 1352499

Description Hugo 2016-12-18 19:54:33 UTC
Created attachment 1233250 [details]
Screenshot of glitchy desktop icons

The icons in the Xfce desktop look glitchy when using the Numix gtk theme installed from the Fedora package manager.

To reproduce the problem:

1. Use Xfce desktop (I tested using the Xfce spin of Fedora 25)
2. Install numix-gtk-theme from the package manager
3. Select the Numix theme under Settings->Appearance->Style

After this, the icons in the desktop start behaving strangely. The folder names appear shifted to the left, while leaving behind a shadow in the place they should be in. If I move an icon in the desktop the icon and the text shadow move correctly but some of the folder name ends up left behind in the old location. The left behind part stays that way until I switch workspaces.

The attached screenshot was taken after I moved the "Home" and "numix-gtk-theme" folders a bit to the right.


Additional info:

- I did not encounter this issue when using the MATE desktop. I haven't tested on GNOME, LXDE or Cinnamon so I don't know if they are also affected or if this is Xfce specific.

- I did not encounter this issue when I used the latest version of the Numix GTK theme from the upstream git repository.

Comment 1 Sascha Spreitzer (Red Hat) 2017-04-18 14:21:53 UTC
Hi Hugo

thanks for the bug, the bug should be solved by a more recent numix-gtk-theme. 
The package update has been created and should hit the update channel withn 7 days.

Kind regards
Sascha

Comment 2 Sascha Spreitzer (Red Hat) 2017-04-18 14:23:19 UTC
Fedora ERRATA: https://bodhi.fedoraproject.org/updates/FEDORA-2017-debde63bed

Comment 3 Fedora Update System 2017-04-18 18:47:00 UTC
numix-gtk-theme-2.6.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca8e3b178c

Comment 4 Fedora Update System 2017-04-18 18:47:35 UTC
numix-gtk-theme-2.6.6-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-685dde844d

Comment 5 Fedora Update System 2017-04-18 18:48:15 UTC
numix-gtk-theme-2.6.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cee0159755

Comment 6 Fedora Update System 2017-04-19 09:49:57 UTC
numix-gtk-theme-2.6.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cee0159755

Comment 7 Fedora Update System 2017-04-19 10:55:35 UTC
numix-gtk-theme-2.6.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ca8e3b178c

Comment 8 Fedora Update System 2017-04-19 10:56:54 UTC
numix-gtk-theme-2.6.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-685dde844d

Comment 9 Fedora Update System 2017-04-26 18:21:07 UTC
numix-gtk-theme-2.6.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-27 05:52:07 UTC
numix-gtk-theme-2.6.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-05-04 14:52:35 UTC
numix-gtk-theme-2.6.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.